// ignore_for_file: public_member_api_docs

import 'package:copy_with_extension/copy_with_extension.dart';
import 'package:flutter/material.dart';
import 'package:flutter_mobx/flutter_mobx.dart';
import 'package:healthrian_ble_support_for_wearcardiot/'
    'healthrian_ble_support_for_wearcardiot.dart';
import 'package:healthrian_visualization_support/'
    'healthrian_visualization_support.dart';

part 'oxi_weart.g.dart';

@CopyWith()
class OxiWearT extends StatelessWidget {
  const OxiWearT({
    super.key,
    this.onLoadingWidget,
    this.streams,
    this.height = 200,
    this.colors = const [
      Colors.blue,
      Colors.green,
    ],
    this.measureTime = 15,
  });

  final int measureTime;
  final List<Color> colors;
  final Streams? streams;
  final double height;
  final Widget? onLoadingWidget;

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: MediaQuery.of(context).size.width,
      child: Observer(
        key: UniqueKey(),
        builder: (context) {
          return StreamBuilder(
            stream: (streams ?? BLEManager().streams).bufferedPlotStreamOxi,
            builder: (context, snapshot) {
              if (!snapshot.hasData) {
                return onLoadingWidget ?? const Text('No Stream');
              }
              return Column(
                children: [
                  for (var i = 0; i < snapshot.data!.length; i++)
                    SizedBox(
                      height: 200,
                      child: Channel(
                        ecgSequence: snapshot.data![i],
                        color: colors[i % colors.length],
                        measureTime: measureTime,
                        samplingRate: 100,
                      ),
                    ),
                ],
              );
            },
          );
        },
      ),
    );
  }
}
